<script setup lang="ts">
import MenuListFood from "@/components/Menu/MenuListFood.vue";
import MenuListDink from "@/components/Menu/MenuListDink.vue";
import MenuListDessert from "@/components/Menu/MenuListDessert.vue";
import { useFoodStore } from "@/stores/foods";
import { onMounted, ref } from "vue";

import {
  mdiRice,
  mdiFrenchFries,
  mdiCup,
  mdiHome,
  mdiReceiptTextOutline,
  mdiCart,
  mdiMagnify,
} from "@mdi/js";
let food = ref(true);
let dink = ref(false);
let dessert = ref(false);
const showFood = () => {
  dink.value = false;
  dessert.value = false;
  return (food.value = true);
};
const showDink = () => {
  food.value = false;
  dessert.value = false;
  return (dink.value = true);
};
const showDessert = () => {
  dink.value = false;
  food.value = false;
  return (dessert.value = true);
};

const foodStore = useFoodStore();
onMounted(async () => {
  await foodStore.getFoods();
});
</script>

<template>
  <div>
    <v-card class="mx-auto" max-width="420" color="grey">
      <v-toolbar color="#DED4F7" height="35">
        <div class="text-h6" style="padding-left: 10px">No. โต๊ะ 4</div>
      </v-toolbar>
      <v-card height="700">
        <v-container grid-list-xs>
          <v-row>
            <v-col>
              <v-btn
                color="black"
                variant="outlined"
                :prepend-icon="mdiRice"
                @click="showFood"
                >อาหาร</v-btn
              >
            </v-col>
            <v-col>
              <v-btn
                color="black"
                variant="outlined"
                :prepend-icon="mdiFrenchFries"
                @click="showDessert"
                >ทานเล่น</v-btn
              >
            </v-col>
            <v-col>
              <v-btn
                color="black"
                variant="outlined"
                :prepend-icon="mdiCup"
                @click="showDink"
                >เครื่องดื่ม</v-btn
              >
            </v-col>
          </v-row>
          <v-row>
            <v-col>
              <v-text-field
                label="Search your food"
                placeholder="menu"
                variant="underlined"
              ></v-text-field>
            </v-col>
            <v-col>
              <v-btn
                style="float: right"
                color="black"
                variant="outlined"
                :prepend-icon="mdiMagnify"
                >ค้นหา</v-btn
              >
            </v-col>
          </v-row>
          <v-row>
            <v-card>
              <div v-if="food">
                <MenuListFood></MenuListFood>
              </div>
              <!-- <MenuListFood v-if="food"></MenuListFood> -->
              <MenuListDink v-if="dink"></MenuListDink>
              <MenuListDessert v-if="dessert"></MenuListDessert>
            </v-card>
          </v-row>
        </v-container>
      </v-card>

      <!--v-sheet class="mx-auto" height="700" color="#F7E9C5"> </!v-sheet-->
      <v-footer color="#DED4F7">
        <v-btn variant="plain" width="120px" stacked :prepend-icon="mdiHome"
          >Menu</v-btn
        >
        <v-btn
          variant="plain"
          width="120px"
          stacked
          :prepend-icon="mdiReceiptTextOutline"
          to="/cart-history"
          >รายการที่สั่ง</v-btn
        >
        <v-btn
          variant="plain"
          width="125px"
          stacked
          :prepend-icon="mdiCart"
          to="/cart"
        >
          รถเข็นของฉัน</v-btn
        >
      </v-footer>
    </v-card>
  </div>
</template>

<style scoped></style>
